RepositoriesConfiguration (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve.maven.aether.config
[Groovy] Class RepositoriesConfiguration

    java.lang.Object
      org.codehaus.groovy.grails.resolve.maven.aether.config.RepositoriesConfiguration

    @groovy.transform.CompileStatic
    class RepositoriesConfiguration

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`AetherDependencyManager` | `aetherDependencyManager`
`java.util.List` | `repositories`
`org.eclipse.aether.DefaultRepositorySystemSession` | `session`

Constructor Summary
`RepositoriesConfiguration(AetherDependencyManager dependencyManager, org.eclipse.aether.DefaultRepositorySystemSession session)`

Method Summary
`protected void` | `configureRepository(org.eclipse.aether.repository.RemoteRepository$Builder repositoryBuilder, groovy.lang.Closure configurer)`
`java.lang.Object` | `environments(groovy.lang.Closure callable)` Environment support
`org.eclipse.aether.repository.RemoteRepository` | `grailsCentral(groovy.lang.Closure configurer = null)`
`void` | `grailsHome()`
`void` | `grailsPlugins()`
`void` | `grailsRepo(java.lang.String location)`
`void` | `inherit(boolean inheritRepositories)` See inherits(boolean)
`void` | `inherits(boolean inheritRepositories)` Whether repository definitions are inherited from plugins
`org.eclipse.aether.repository.RemoteRepository` | `mavenCentral(groovy.lang.Closure configurer = null)`
`void` | `mavenLocal()`
`void` | `mavenLocal(java.lang.String location)`
`org.eclipse.aether.repository.RemoteRepository` | `mavenRepo(java.lang.String url, groovy.lang.Closure configurer = null)`
`org.eclipse.aether.repository.RemoteRepository` | `mavenRepo(java.util.Map properties, groovy.lang.Closure configurer = null)`
`protected org.eclipse.aether.repository.RemoteRepository` | `reconfigureExisting(org.eclipse.aether.repository.RemoteRepository existing, groovy.lang.Closure configurer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### aetherDependencyManager

    AetherDependencyManager aetherDependencyManager

### repositories

    java.util.List repositories

### session

    @groovy.lang.Delegate
    org.eclipse.aether.DefaultRepositorySystemSession session

Constructor Detail

### RepositoriesConfiguration

    RepositoriesConfiguration(AetherDependencyManager dependencyManager, org.eclipse.aether.DefaultRepositorySystemSession session)

Method Detail

### configureRepository

    protected void configureRepository(org.eclipse.aether.repository.RemoteRepository$Builder repositoryBuilder, groovy.lang.Closure configurer)

### environments

    java.lang.Object environments(groovy.lang.Closure callable)

  Environment support
  Parameters:
    `callable` - The callable
  Returns:
    The result of the environments block

### grailsCentral

    org.eclipse.aether.repository.RemoteRepository grailsCentral(groovy.lang.Closure configurer = null)

### grailsHome

    void grailsHome()

### grailsPlugins

    void grailsPlugins()

### grailsRepo

    void grailsRepo(java.lang.String location)

### inherit

    @java.lang.Deprecated
    void inherit(boolean inheritRepositories)

  See inherits(boolean)

### inherits

    @java.lang.Deprecated
    void inherits(boolean inheritRepositories)

  Whether repository definitions are inherited from plugins
  Parameters:
    `inheritRepositories` - True if repositories should be inherited from plugins

### mavenCentral

    org.eclipse.aether.repository.RemoteRepository mavenCentral(groovy.lang.Closure configurer = null)

### mavenLocal

    void mavenLocal()

### mavenLocal

    void mavenLocal(java.lang.String location)

### mavenRepo

    org.eclipse.aether.repository.RemoteRepository mavenRepo(java.lang.String url, groovy.lang.Closure configurer = null)

### mavenRepo

    org.eclipse.aether.repository.RemoteRepository mavenRepo(java.util.Map properties, groovy.lang.Closure configurer = null)

### reconfigureExisting

    protected org.eclipse.aether.repository.RemoteRepository reconfigureExisting(org.eclipse.aether.repository.RemoteRepository existing, groovy.lang.Closure configurer)

Groovy Documentation